org.bouncycastle.jce.provider

## Class JDKAlgorithmParameters.IES

- java.lang.Object
- - java.security.AlgorithmParametersSpi
  - - org.bouncycastle.jce.provider.JDKAlgorithmParameters
    - - org.bouncycastle.jce.provider.JDKAlgorithmParameters.IES

Enclosing class:
  JDKAlgorithmParameters

    public static class JDKAlgorithmParameters.IES
    extends JDKAlgorithmParameters

### Nested Class Summary

### Nested classes/interfaces inherited from class org.bouncycastle.jce.provider.JDKAlgorithmParameters

`JDKAlgorithmParameters.DH, JDKAlgorithmParameters.DSA, JDKAlgorithmParameters.ElGamal, JDKAlgorithmParameters.GOST3410, JDKAlgorithmParameters.IES, JDKAlgorithmParameters.IVAlgorithmParameters, JDKAlgorithmParameters.OAEP, JDKAlgorithmParameters.PBKDF2, JDKAlgorithmParameters.PKCS12PBE, JDKAlgorithmParameters.PSS, JDKAlgorithmParameters.RC2AlgorithmParameters`

### Constructor Summary

Constructors
Constructor and Description
`JDKAlgorithmParameters.IES()`

### Method Summary

Methods
`protected byte[]` `engineGetEncoded()` in the absence of a standard way of doing it this will do for now...
`protected byte[]` `engineGetEncoded(java.lang.String format)`
`protected void` `engineInit(java.security.spec.AlgorithmParameterSpec paramSpec)`
`protected void` `engineInit(byte[] params)`
`protected void` `engineInit(byte[] params, java.lang.String format)`
`protected java.lang.String` `engineToString()`
`protected java.security.spec.AlgorithmParameterSpec` `localEngineGetParameterSpec(java.lang.Class paramSpec)`

### Methods inherited from class org.bouncycastle.jce.provider.JDKAlgorithmParameters

`engineGetParameterSpec, isASN1FormatString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JDKAlgorithmParameters.IES

    public JDKAlgorithmParameters.IES()

### Method Detail

#### engineGetEncoded

    protected byte[] engineGetEncoded()

in the absence of a standard way of doing it this will do for now...

Specified by:
  `engineGetEncoded` in class `java.security.AlgorithmParametersSpi`

#### engineGetEncoded

    protected byte[] engineGetEncoded(java.lang.String format)

Specified by:
  `engineGetEncoded` in class `java.security.AlgorithmParametersSpi`

#### localEngineGetParameterSpec

    protected java.security.spec.AlgorithmParameterSpec localEngineGetParameterSpec(java.lang.Class paramSpec)
                                                                             throws java.security.spec.InvalidParameterSpecException

Specified by:
  `localEngineGetParameterSpec` in class `JDKAlgorithmParameters`
Throws:
  `java.security.spec.InvalidParameterSpecException`

#### engineInit

    protected void engineInit(java.security.spec.AlgorithmParameterSpec paramSpec)
                       throws java.security.spec.InvalidParameterSpecException

Specified by:
  `engineInit` in class `java.security.AlgorithmParametersSpi`
Throws:
  `java.security.spec.InvalidParameterSpecException`

#### engineInit

    protected void engineInit(byte[] params)
                       throws java.io.IOException

Specified by:
  `engineInit` in class `java.security.AlgorithmParametersSpi`
Throws:
  `java.io.IOException`

#### engineInit

    protected void engineInit(byte[] params,
                  java.lang.String format)
                       throws java.io.IOException

Specified by:
  `engineInit` in class `java.security.AlgorithmParametersSpi`
Throws:
  `java.io.IOException`

#### engineToString

    protected java.lang.String engineToString()

Specified by:
  `engineToString` in class `java.security.AlgorithmParametersSpi`